package cn.iocoder.yudao.module.reward.vo.reward;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 礼品查询 VO")
public class RewardQueryVO {

    @ApiModelProperty(value = "礼品ID")
    private String code;

    @ApiModelProperty(value = "名称（不区分语言）")
    private String title;

    @ApiModelProperty(value = "兑换所需积分")
    private Integer pointsRequire;

    @ApiModelProperty(value = "兑换网点")
    private Integer nodeId;

    @ApiModelProperty(value = "已兑换次数")
    private Integer exchangeCount;

    @ApiModelProperty(value = "剩余数量")
    private Integer quantityRemain;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始活动开始时间")
    private Date beginStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束活动开始时间")
    private Date endStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始活动结束时间")
    private Date beginEndTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束活动结束时间")
    private Date endEndTime;

    @ApiModelProperty(value = "领取方式（1上门领取，2包邮到家，3邮寄到付）")
    private Integer pickMethod;

    @ApiModelProperty(value = "允许兑换次数")
    private Integer allowCount;

    @ApiModelProperty(value = "礼品状态（1已启用，2未启用，3已关闭，4已过期）")
    private Integer status;

    @ApiModelProperty(value = "备注（不区分语言）")
    private Integer remark;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
